Package org.eclipse.birt.chart.model.attribute

# Interface DateFormatSpecifier

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `FormatSpecifier`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DateFormatSpecifierImpl`

public interface DateFormatSpecifier extends FormatSpecifier
A representation of the model object 'Date Format Specifier'. DateFormatSpecifier extends the type FormatSpecifier to devote itself to formating text output of a date/time value.

The following features are supported:

- `Type`
- `Detail`

See Also:
  - `AttributePackage.getDateFormatSpecifier()`

## Method Summary

Modifier and Type
Method
Description
`DateFormatSpecifier`
`copyInstance()`
`String`
`format(com.ibm.icu.util.Calendar c, com.ibm.icu.util.ULocale lcl)`
Formats a calendar value using the date format pattern NOTE: Manually written
`String`
`format(com.ibm.icu.util.Calendar c, Locale lcl)`
Deprecated.
`DateFormatDetail`
`getDetail()`
Returns the value of the 'Detail' attribute.
`DateFormatType`
`getType()`
Returns the value of the 'Type' attribute.
`boolean`
`isSetDetail()`
Returns whether the value of the '`Detail`' attribute is set.
`boolean`
`isSetType()`
Returns whether the value of the ' `Type`' attribute is set.
`void`
`setDetail(DateFormatDetail value)`
Sets the value of the ' `Detail`' attribute.
`void`
`setType(DateFormatType value)`
Sets the value of the '`Type`' attribute.
`void`
`unsetDetail()`
Unsets the value of the ' `Detail`' attribute.
`void`
`unsetType()`
Unsets the value of the ' `Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

DateFormatType getType()
Returns the value of the 'Type' attribute. The default value is `"Long"`. The literals are from the enumeration `DateFormatType`. Defines the format specifier.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `DateFormatType`
  - `isSetType()`
  - `unsetType()`
  - `setType(DateFormatType)`
  - `AttributePackage.getDateFormatSpecifier_Type()`

### setType

void setType(DateFormatType value)
Sets the value of the '`Type`' attribute.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `DateFormatType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the ' `Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(DateFormatType)`

### isSetType

boolean isSetType()
Returns whether the value of the ' `Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(DateFormatType)`

### getDetail

DateFormatDetail getDetail()
Returns the value of the 'Detail' attribute. The default value is `"Date"`. The literals are from the enumeration `DateFormatDetail`. Species the form of the date.

Returns:
  the value of the 'Detail' attribute.
See Also:
  - `DateFormatDetail`
  - `isSetDetail()`
  - `unsetDetail()`
  - `setDetail(DateFormatDetail)`
  - `AttributePackage.getDateFormatSpecifier_Detail()`

### setDetail

void setDetail(DateFormatDetail value)
Sets the value of the ' `Detail`' attribute.

Parameters:
  `value` - the new value of the 'Detail' attribute.
See Also:
  - `DateFormatDetail`
  - `isSetDetail()`
  - `unsetDetail()`
  - `getDetail()`

### unsetDetail

void unsetDetail()
Unsets the value of the ' `Detail`' attribute.

See Also:
  - `isSetDetail()`
  - `getDetail()`
  - `setDetail(DateFormatDetail)`

### isSetDetail

boolean isSetDetail()
Returns whether the value of the '`Detail`' attribute is set.

Returns:
  whether the value of the 'Detail' attribute is set.
See Also:
  - `unsetDetail()`
  - `getDetail()`
  - `setDetail(DateFormatDetail)`

### format

@Deprecated String format(com.ibm.icu.util.Calendar c, Locale lcl)
Deprecated.
Formats a calendar value using the date format pattern NOTE: Manually written

Parameters:
  `c` -
  `lcl` -

### format

String format(com.ibm.icu.util.Calendar c, com.ibm.icu.util.ULocale lcl)
Formats a calendar value using the date format pattern NOTE: Manually written

Parameters:
  `c` -
  `lcl` -
Since:
  2.1

### copyInstance

DateFormatSpecifier copyInstance()

Specified by:
  `copyInstance` in interface `FormatSpecifier`
Specified by:
  `copyInstance` in interface `IChartObject`